#ifndef QWSYOPYKB_H
#define QWSYOPYKB_H

#include <qwidgetlist.h>

#ifdef QT_QWS_YOPY

#include <linux/kd.h>
#include <linux/fb.h>
#include <linux/yopy_button.h>

class QWSyopyButtonsHandler : public QWSKeyboardHandler
{
    Q_OBJECT
public:
    QWSyopyButtonsHandler();
    virtual ~QWSyopyButtonsHandler();

    bool isOpen() { return buttonFD > 0; }

private slots:
    void readKeyboardData();

private:
    QString terminalName;
    int buttonFD;
    struct termios newT, oldT;
    QSocketNotifier *notifier;
};

#endif

#endif // QWSYOPYKB_H
